Merchant Authentication
Process
Description:
- Call this API to authenticate the merchant and issue a JWT token.
- Each JWT token is valid for 600 seconds (10 minutes).
- If the JWT expires, the merchant needs to authenticate again and request a new JWT token.
API Information
Method: POST
URL: /b2b/auth-service/api/oauth/get-token
Request
Main Parameters
| No | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | merchant_code | String(50) | ✅ | Merchant code provided by Baokim |
| 2 | client_id | String(50) | ✅ | Client ID provided by Baokim |
| 3 | client_secret | String(50) | ✅ | Client secret provided by Baokim |
Request Example
{
"merchant_code": "merchantcode",
"client_id": "merchantcode",
"client_secret": "iOiJKV1QiLCJhbGciOiJIUzI1NiJ9"
}
Response
Main Parameters
| No | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | code | Integer | ✅ | Result code |
| 2 | message | String | ✅ | Status message |
| 3 | data | Object | ✅ | JWT Token string |
Data Information
| No | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | access_token | String | ✅ | JWT Token string |
| 2 | token_type | String | ✅ | Token type |
| 3 | expired_at | Datetime | ✅ | Token expiration time |
Response Example
{
"code": 200,
"message": "Success",
"data": {
"access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjkyOTIvYXBpL2IyYl9hdXRoL2xvZ2luIiwiaWF0IjoxNzA2MDgwODU1LCJleHAiOjE3MDYwODQ0NTUsIm5iZiI6MTcwNjA4MDg1NSwianRpIjoiV0FUWnpJZTB3d0NuU1dpNSIsInN1YiI6IjEiLCJwcnYiOiIyM2JkNWM4OTQ5ZjYwMGFkYjM5ZTcwMWM0MDA4NzJkYjdhNTk3NmY3IiwibWVyY2hhbnRfaW5mbyI6eyJjb2RlIjoiYWJjIn0sInNjb3BlcyI6W3siYWN0aW9uIjoiR0VUIiwidXJpIjoiYWJjLmNvbSJ9LHsiYWN0aW9uIjoiUE9TVCIsInVyaSI6Inh5ei5jb20ifV19.aRfdvwFz8CDiBqHoCG8IGfPC0bO4vhXRvY76dupRx9k",
"token_type": "bearer",
"expired_at": "2024-07-22 10:00:00"
}
}
Error Codes
| Error Code | Description |
|---|---|
| 111 | Authentication failed |